## PkMediaChangeRequired PkMediaChangeRequired |

## Synopsis

                        PkMediaChangeRequiredPrivate;
                        PkMediaChangeRequired;
    PkMediaChangeRequired * pk_media_change_required_new    (void);

## Object Hierarchy

      GObject
       +----PkMediaChangeRequired

## Properties

      "media-id"                 gchar*                : Read / Write
      "media-text"               gchar*                : Read / Write
      "media-type"               guint                 : Read / Write

## Description

## Details

### PkMediaChangeRequiredPrivate

    typedef struct _PkMediaChangeRequiredPrivate PkMediaChangeRequiredPrivate;

Private PkMediaChangeRequired data

### PkMediaChangeRequired

    typedef struct _PkMediaChangeRequired PkMediaChangeRequired;

### pk_media_change_required_new ()

    PkMediaChangeRequired * pk_media_change_required_new    (void);

Returns : | a new PkMediaChangeRequired object.

## Property Details

### The `"media-id"` property

      "media-id"                 gchar*                : Read / Write

Default value: NULL

### The `"media-text"` property

      "media-text"               gchar*                : Read / Write

Default value: NULL

### The `"media-type"` property

      "media-type"               guint                 : Read / Write

Default value: 0